Home | All Classes | Grouped Classes | Index | Search

# CL_DomDocument::load

Loads the DOM document as XML from an input source.

    	std::vector<CL_DomNode> load(
    		CL_InputSource* input, bool delete_input = false, bool eat_whitespace = true, CL_DomNode insert_point = CL_DomNode());

Parameters:

input
  Input source to read from.
delete_input
  If true, will delete input source after usage.
eat_whitespace
  Passed on to CL_XMLTokenizer::set_eat_whitespace.
insert_point
  Place in the DOM to insert the loaded XML code.

See also:

CL_DomDocument | CL_DomNode | CL_InputSource | CL_XMLToken | CL_XMLTokenizer

Questions or comments, write to the ClanLib mailing list.